<template lang="pug">
BaseDialog.x-comment-add-dialog(ref='dialog')
  template(v-slot:title='')
    h5.modal-title New Comment
  template(v-slot:default='d')
    BaseMarkdownWidget(v-if='visible' ref='md' :inEdit='true')
  template(v-slot:footer='d')
    button.mr-1.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary.x-submit(@click='d.resolve(true)') Submit
</template>
<script>

export { default } from './AddCommentDialog.vue.js';

</script>
<style lang='scss'>
.x-comment-add-dialog {
  .modal-body {
    padding-top: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
  .b-markdown-preview {
    padding-left: 15px;
    padding-right: 15px;
  }
}
</style>
